exec/quorum.c File Reference
`#include <config.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <sys/un.h>`
`#include <sys/ioctl.h>`
`#include <netinet/in.h>`
`#include <sys/uio.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <time.h>`
`#include <arpa/inet.h>`
`#include <corosync/corotypes.h>`
`#include <corosync/swab.h>`
`#include <corosync/totem/totempg.h>`
`#include <corosync/totem/totem.h>`
`#include <corosync/logsys.h>`
`#include "quorum.h"`
`#include "main.h"`
`#include "vsf.h"`
Include dependency graph for exec/quorum.c:

Go to the source code of this file.

## Functions

| LOGSYS_DECLARE_SUBSYS ("QUORUM")
int | corosync_quorum_is_quorate (void)
int | corosync_quorum_register_callback (quorum_callback_fn_t fn, void *context)
int | corosync_quorum_unregister_callback (quorum_callback_fn_t fn, void *context)
int | corosync_quorum_initialize (struct quorum_callin_functions *fns)
int | quorum_none (void)

## Function Documentation

## corosync_quorum_initialize()

int corosync_quorum_initialize | ( | struct quorum_callin_functions * | fns | ) |

Definition at line 95 of file exec/quorum.c.

## corosync_quorum_is_quorate()

int corosync_quorum_is_quorate | ( | void |  | ) |

Definition at line 65 of file exec/quorum.c.

## corosync_quorum_register_callback()

int corosync_quorum_register_callback | ( | quorum_callback_fn_t | fn,
|  | void * | context
| ) |  |

Definition at line 75 of file exec/quorum.c.

## corosync_quorum_unregister_callback()

int corosync_quorum_unregister_callback | ( | quorum_callback_fn_t | fn,
|  | void * | context
| ) |  |

Definition at line 85 of file exec/quorum.c.

## LOGSYS_DECLARE_SUBSYS()

LOGSYS_DECLARE_SUBSYS | ( | "QUORUM" |  | ) |

## quorum_none()

int quorum_none | ( | void |  | ) |

Definition at line 104 of file exec/quorum.c.